﻿@model ListKong.Models.InventoryModel

@{
    ViewData["Title"] = "Gallery";
}
<script src="~/js/InventoryPage.js"></script>
<div class="content-wrapper" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        <h1>
            Gallery
        </h1>
        <ol class="breadcrumb">
            <li><a asp-controller="Inventory" asp-action="Index"><i class="fa fa-dashboard"></i>Manage Inventory</a></li>
            <li class="active">Gallery</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-info">
                    <div class="box-header with-border">
                        <h3 class="box-title">Gallery</h3>
                    </div>
                    <form id="step3" name="formname" enctype="multipart/form-data">
                        <div class="box-body">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            <input asp-for="InvLocationID" type="hidden" class="form-control" />
                            <input asp-for="InvID" type="hidden" class="form-control" />
                            <input asp-for="InvCompanyID" type="hidden" class="form-control" />

                            <div class="form-group">
                                <label asp-for="InvName" class="control-label"></label>
                                <input asp-for="InvName" class="form-control" readonly />
                                <span asp-validation-for="InvName" class="text-danger"></span>
                            </div>

                            <div class="form-group">
                                <div class="row" id="invGallery">
                                    @foreach (var item in Model.InventoryImages)
                                    {

                                        <div class="col-md-4" style="margin-top:25px;">
                                            <div style="float:left">
                                                <img src="@item.FileName" alt="Inventory Image" class="myImg" width="150" height="150" />
                                            </div>
                                            @if (!User.IsInRole("Lister"))
                                            {
                                                <div style="float:left">
                                                    <input type="button" class="btn btn-danger clsDeletemore" data-id="@item.ImageId" value="Delete" style="margin-left: 10px;" />
                                                </div>
                                            }
                                        </div>
                                    }
                                </div>
                            </div>
                            @if (!User.IsInRole("Lister"))
                            {
                                <div id="imagesDiv">
                                    <label class="control-label"> Inventory Pics</label>
                                    <input type="hidden" id="hdnImagesCount" value="1" />
                                    <div class="form-group">

                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" required class="form-control" name="InventoryImages[1].InventoryImage" id="InventoryImages[1].InventoryImage" style="width:50%;" />
                                            <input type="button" class="btn btn-dark clsAddGalleryImage" value="Add More" style="width: 10%; margin-left: 20px;" />
                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </form>
                    <a style="text-align:right" asp-controller="Inventory" asp-action="Index"><i class="os-icon os-icon-signs-11"></i><span>Back to List</span></a>
                </div>
            </div>
        </div>
    </section>
</div>
<!-- The Modal -->
<div id="myModal" class="modal">
    <span class="close close_button">&times;</span>
    <img class="modal-content" id="img01">
    <div id="caption"></div>
</div>